Bug 804138 - [abrt] system-config-services-0.101.7-1.fc16: __init__.py:52:_init:RuntimeError: could not open display
[abrt] system-config-services-0.101.7-1.fc16: __init__.py:52:_init:RuntimeErr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:44dad3ed2a40d9c18cbe586456d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 11:46 EDT by Soaring Eagle
Modified: 2013-02-13 14:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:37:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Soaring Eagle 2012-03-16 11:46:09 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/sbin/system-config-services
event_log:      2012-03-16-10:45:44> Smolt profile successfully saved
executable:     /usr/sbin/system-config-services
kernel:         3.1.8-2.fc16.x86_64
reason:         __init__.py:52:_init:RuntimeError: could not open display
time:           Thu 26 Jan 2012 01:24:07 PM CST
uid:            0
username:       root

backtrace:
:__init__.py:52:_init:RuntimeError: could not open display
:
:Traceback (most recent call last):
:  File "/usr/sbin/system-config-services", line 34, in <module>
:    import gtk
:  File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 64, in <module>
:    _init()
:  File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 52, in _init
:    _gtk.init_check()
:RuntimeError: could not open display
:
:Local variables in innermost frame:
:sys: <module 'sys' (built-in)>
:sys_path: ['/usr/share/system-config-services', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/PIL', '/usr/lib64/python2.7/site-packages/gst-0.10', '/usr/lib64/python2.7/site-packages/gtk-2.0', '/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode', '/usr/lib/python2.7/site-packages', '/usr/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-info']

smolt_data:
:
:
:General
:=================================
:UUID: 02067409-0e9f-4563-b32e-187ce7bd9f8b
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6118.06
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 3.06GHz
:CPU Stepping: 9
:CPU Family: 15
:CPU Model Num: 4
:Number of CPUs: 2
:CPU Speed: 3066
:System Memory: 1994
:System Swap: 3999
:Vendor: Dell Inc.
:System: Dell DV051 
:Form factor: Mini Tower
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:9792:0:0) pci, None, PCI/ISA, 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge
:(32902:4196:4136:452) pci, e100, ETHERNET, 82562ET/EZ/GT/GZ - PRO/100 VE (LOM) Ethernet Controller
:(4724:4977:4724:4977) pci, snd_ens1371, MULTIMEDIA_AUDIO, Creative Sound Blaster AudioPCI64V, AudioPCI128
:(32902:9602:4136:452) pci, i915, VIDEO, 82915G/GV/910GL Integrated Graphics Controller
:(32902:9810:4136:452) pci, ahci, STORAGE, 82801FR/FRW (ICH6R/ICH6RW) SATA Controller
:(32902:9824:0:0) pci, pcieport, PCI/PCI, 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1
:(32902:9826:0:0) pci, pcieport, PCI/PCI, 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2
:(32902:9839:4136:452) pci, ata_piix, STORAGE, 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller
:(32902:9834:4136:452) pci, i801_smbus, SERIAL, 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(5772:26:6041:28684) pci, None, ETHERNET, F5D7000 v5000 Wireless G Desktop Card
:(32902:9817:4136:452) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2
:(32902:9816:4136:452) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1
:(32902:9600:4136:452) pci, agpgart-intel, HOST/PCI, 82915G/P/GV/GL/PL/910GL Memory Controller Hub
:(32902:9818:4136:452) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3
:(32902:9819:4136:452) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4
:(32902:9820:4136:452) pci, ehci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_hawkserver16-lv_root / ext4 4096 4096 13081819 1378926 723566 3276800 2197377 2197377
:/dev/sdb2 /boot ext4 1024 1024 508745 408129 382529 128016 127786 127786
:/dev/mapper/vg_hawkserver16-lv_home /home ext4 4096 4096 66237747 56258337 52942625 16580608 16415097 16415097
:/dev/sdd1 WITHHELD fuseblk UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdd2 WITHHELD fuseblk UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:
Comment 1 Matt 2012-12-14 20:34:55 EST
I was able to run the application by starting a new window manager, running ssh/vnc terminal, using su to root as sudo was providing me with the same above error.

May want to try that, as Im sure its a permission issue somewhere.
Comment 2 Fedora End Of Life 2013-01-16 11:11:42 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 14:37:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.